Bug 103554 - "Monitor for Activity" and "Monitor for Silence" icons are the same
Summary: "Monitor for Activity" and "Monitor for Silence" icons are the same
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-09 12:30 UTC by Sridhar Dhanapalan
Modified: 2005-05-15 02:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sridhar Dhanapalan 2005-04-09 12:30:54 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Gentoo Packages
Compiler:          gcc version 3.3.5  (Gentoo Linux 3.3.5-r1, ssp-3.3.2-3, pie-8.7.7.1) 
OS:                Linux

Konsole has a feature called "Monitor for Activity" which changes the icon on a tab to indicate that there is activity in that console session. There is a corresponding feature called "Monitor for Silence" which does the same but for inactivity. In older versions of Konsole, these two icons were distinctly different, looking like a lit and unlit incandescent light bulb respectively.

In Konsole 1.5 (KDE 3.4.0), both functions display an unlit bulb, making it impossible to distinguish from the two opposing functions. This can be seen in the View menu in Konsole.

I initially reported this at http://bugs.gentoo.org/show_bug.cgi?id=88435, but it appears to be a KDE bug.
Comment 1 Kurt Hindenburg 2005-04-09 21:22:53 UTC
For crystalsvg it appears that ktip and idea pngs are identical.  Others such as kdeclassic, locolor have different ktip and idea pngs. 

Not really a konsole problem.
Comment 2 Stephan Binner 2005-04-14 11:18:06 UTC
> Not really a konsole problem.

It is when Konsole makes wrong assumptions on the icons' appearance.
Comment 3 Kurt Hindenburg 2005-05-08 07:09:28 UTC
I agree Konsole shouldn't assume that... looks like Konsole needs 2 new icons: silence and activity.
Comment 4 Kurt Hindenburg 2005-05-15 01:46:43 UTC
SVN commit 413941 by hindenburg:

Copy KDE 3.3's ktip.png to silence.png and idea.png to activity.png for use with Monitor for Activity/Silence.

Will backport without the string changes.

BUG: 103554



 M  +18 -10    trunk/KDE/kdebase/konsole/konsole/konsole.cpp  


--- trunk/KDE/kdebase/konsole/konsole/konsole.cpp #413940:413941
@@ -768,12 +768,14 @@
                          SLOT(slotTabRenameSession()) );
    m_tabPopupMenu->insertSeparator();
 
-   m_tabMonitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), "idea", 0, this,
-                                        SLOT( slotTabToggleMonitor() ), this);
+  m_tabMonitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), 
+      SmallIconSet("konsole"), 0, this, SLOT( slotTabToggleMonitor() ), this );
+  m_tabMonitorActivity->setCheckedState( KGuiItem( i18n( "Stop Monitoring for &Activity" ), SmallIconSet( "activity" ) ) );
    m_tabMonitorActivity->plug(m_tabPopupMenu);
 
-   m_tabMonitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), "ktip", 0, this,
-                                       SLOT( slotTabToggleMonitor() ), this);
+  m_tabMonitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), 
+      SmallIconSet("konsole"), 0, this, SLOT( slotTabToggleMonitor() ), this );
+  m_tabMonitorSilence->setCheckedState( KGuiItem( i18n( "Stop Monitoring for &Silence" ), SmallIconSet( "silence" ) ) );
    m_tabMonitorSilence->plug(m_tabPopupMenu);
 
    m_tabMasterMode = new KToggleAction ( i18n( "Send &Input to All Sessions" ), "remote", 0, this,
@@ -1033,10 +1035,16 @@
                                   SLOT( slotZModemUpload() ), 
                                   m_shortcuts, "zmodem_upload" );
 
-  monitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), "idea", 0, this,
-                                        SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_activity" );
-  monitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), "ktip", 0, this,
-                                       SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_silence" );
+  monitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), 
+      SmallIconSet("konsole"), 0, this,
+      SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_activity" );
+  monitorActivity->setCheckedState( KGuiItem( i18n( "Stop Monitoring for &Activity" ), SmallIconSet( "activity" ) ) );
+
+  monitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), 
+      SmallIconSet("konsole"), 0, this,
+      SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_silence" );
+  monitorSilence->setCheckedState( KGuiItem( i18n( "Stop Monitoring for &Silence" ), SmallIconSet( "silence" ) ) );
+
   masterMode = new KToggleAction ( i18n( "Send &Input to All Sessions" ), "remote", 0, this,
                                    SLOT( slotToggleMasterMode() ), m_shortcuts, "send_input_to_all_sessions" );
 
@@ -2993,9 +3001,9 @@
                          break;
     case NOTIFYBELL    : state_iconname = "bell";
                          break;
-    case NOTIFYACTIVITY: state_iconname = "idea";
+    case NOTIFYACTIVITY: state_iconname = "activity";
                          break;
-    case NOTIFYSILENCE : state_iconname = "ktip";
+    case NOTIFYSILENCE : state_iconname = "silence";
 			 break;
   }
   if (!state_iconname.isEmpty()
Comment 5 Kurt Hindenburg 2005-05-15 02:39:38 UTC
SVN commit 413956 by hindenburg:

Copy KDE 3.3's ktip.png to silence.png and idea.png to activity.png for use with Monitor for Activity/Silence.

CCBUG: 103554



 M  +15 -10    branches/KDE/3.4/kdebase/konsole/konsole/konsole.cpp  


--- branches/KDE/3.4/kdebase/konsole/konsole/konsole.cpp #413955:413956
@@ -799,12 +799,12 @@
                          SLOT(slotTabRenameSession()) );
    m_tabPopupMenu->insertSeparator();
 
-   m_tabMonitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), "idea", 0, this,
-                                        SLOT( slotTabToggleMonitor() ), this);
+  m_tabMonitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), 
+      SmallIconSet("activity"), 0, this, SLOT( slotTabToggleMonitor() ), this );
    m_tabMonitorActivity->plug(m_tabPopupMenu);
 
-   m_tabMonitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), "ktip", 0, this,
-                                       SLOT( slotTabToggleMonitor() ), this);
+  m_tabMonitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), 
+      SmallIconSet("silence"), 0, this, SLOT( slotTabToggleMonitor() ), this );
    m_tabMonitorSilence->plug(m_tabPopupMenu);
 
    m_tabMasterMode = new KToggleAction ( i18n( "Send &Input to All Sessions" ), "remote", 0, this,
@@ -1061,10 +1061,15 @@
                                 SLOT(slotRenameSession()), m_shortcuts, "rename_session");
   m_zmodemUpload = new KAction(i18n("&ZModem Upload..."), Qt::CTRL+Qt::ALT+Qt::Key_U, this,
                                 SLOT(slotZModemUpload()), m_shortcuts, "zmodem_upload");
-  monitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ), "idea", 0, this,
-                                        SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_activity" );
-  monitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ), "ktip", 0, this,
-                                       SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_silence" );
+
+  monitorActivity = new KToggleAction ( i18n( "Monitor for &Activity" ),
+      SmallIconSet("activity"), 0, this,
+      SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_activity" );
+
+  monitorSilence = new KToggleAction ( i18n( "Monitor for &Silence" ),
+      SmallIconSet("silence"), 0, this,
+      SLOT( slotToggleMonitor() ), m_shortcuts, "monitor_silence" );
+
   masterMode = new KToggleAction ( i18n( "Send &Input to All Sessions" ), "remote", 0, this,
                                    SLOT( slotToggleMasterMode() ), m_shortcuts, "send_input_to_all_sessions" );
 
@@ -3135,9 +3140,9 @@
                          break;
     case NOTIFYBELL    : state_iconname = "bell";
                          break;
-    case NOTIFYACTIVITY: state_iconname = "idea";
+    case NOTIFYACTIVITY: state_iconname = "activity";
                          break;
-    case NOTIFYSILENCE : state_iconname = "ktip";
+    case NOTIFYSILENCE : state_iconname = "silence";
 			 break;
   }
   if (!state_iconname.isEmpty()